/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateLBCookieStickinessPolicyInput } from "../types/CreateLBCookieStickinessPolicyInput";
import { CreateLBCookieStickinessPolicyOutput } from "../types/CreateLBCookieStickinessPolicyOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/CreateLBCookieStickinessPolicyInput";
export * from "../types/CreateLBCookieStickinessPolicyOutput";
export * from "../types/CreateLBCookieStickinessPolicyExceptionsUnion";
export declare class CreateLBCookieStickinessPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateLBCookieStickinessPolicyInput, OutputTypesUnion, CreateLBCookieStickinessPolicyOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: CreateLBCookieStickinessPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateLBCookieStickinessPolicyInput, CreateLBCookieStickinessPolicyOutput, _stream.Readable>;
    constructor(input: CreateLBCookieStickinessPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<CreateLBCookieStickinessPolicyInput, CreateLBCookieStickinessPolicyOutput>;
}
