/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateLoadBalancerInput } from "../types/CreateLoadBalancerInput";
import { CreateLoadBalancerOutput } from "../types/CreateLoadBalancerOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/CreateLoadBalancerInput";
export * from "../types/CreateLoadBalancerOutput";
export * from "../types/CreateLoadBalancerExceptionsUnion";
export declare class CreateLoadBalancerCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateLoadBalancerInput, OutputTypesUnion, CreateLoadBalancerOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: CreateLoadBalancerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateLoadBalancerInput, CreateLoadBalancerOutput, _stream.Readable>;
    constructor(input: CreateLoadBalancerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<CreateLoadBalancerInput, CreateLoadBalancerOutput>;
}
