/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeLoadBalancerAttributesInput } from "../types/DescribeLoadBalancerAttributesInput";
import { DescribeLoadBalancerAttributesOutput } from "../types/DescribeLoadBalancerAttributesOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DescribeLoadBalancerAttributesInput";
export * from "../types/DescribeLoadBalancerAttributesOutput";
export * from "../types/DescribeLoadBalancerAttributesExceptionsUnion";
export declare class DescribeLoadBalancerAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeLoadBalancerAttributesInput, OutputTypesUnion, DescribeLoadBalancerAttributesOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeLoadBalancerAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeLoadBalancerAttributesInput, DescribeLoadBalancerAttributesOutput, _stream.Readable>;
    constructor(input: DescribeLoadBalancerAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DescribeLoadBalancerAttributesInput, DescribeLoadBalancerAttributesOutput>;
}
