/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeLoadBalancerPoliciesInput } from "../types/DescribeLoadBalancerPoliciesInput";
import { DescribeLoadBalancerPoliciesOutput } from "../types/DescribeLoadBalancerPoliciesOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DescribeLoadBalancerPoliciesInput";
export * from "../types/DescribeLoadBalancerPoliciesOutput";
export * from "../types/DescribeLoadBalancerPoliciesExceptionsUnion";
export declare class DescribeLoadBalancerPoliciesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeLoadBalancerPoliciesInput, OutputTypesUnion, DescribeLoadBalancerPoliciesOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeLoadBalancerPoliciesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeLoadBalancerPoliciesInput, DescribeLoadBalancerPoliciesOutput, _stream.Readable>;
    constructor(input: DescribeLoadBalancerPoliciesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DescribeLoadBalancerPoliciesInput, DescribeLoadBalancerPoliciesOutput>;
}
