/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { EnableAvailabilityZonesForLoadBalancerInput } from "../types/EnableAvailabilityZonesForLoadBalancerInput";
import { EnableAvailabilityZonesForLoadBalancerOutput } from "../types/EnableAvailabilityZonesForLoadBalancerOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/EnableAvailabilityZonesForLoadBalancerInput";
export * from "../types/EnableAvailabilityZonesForLoadBalancerOutput";
export * from "../types/EnableAvailabilityZonesForLoadBalancerExceptionsUnion";
export declare class EnableAvailabilityZonesForLoadBalancerCommand implements __aws_sdk_types.Command<InputTypesUnion, EnableAvailabilityZonesForLoadBalancerInput, OutputTypesUnion, EnableAvailabilityZonesForLoadBalancerOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: EnableAvailabilityZonesForLoadBalancerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<EnableAvailabilityZonesForLoadBalancerInput, EnableAvailabilityZonesForLoadBalancerOutput, _stream.Readable>;
    constructor(input: EnableAvailabilityZonesForLoadBalancerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<EnableAvailabilityZonesForLoadBalancerInput, EnableAvailabilityZonesForLoadBalancerOutput>;
}
