/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyLoadBalancerAttributesInput } from "../types/ModifyLoadBalancerAttributesInput";
import { ModifyLoadBalancerAttributesOutput } from "../types/ModifyLoadBalancerAttributesOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/ModifyLoadBalancerAttributesInput";
export * from "../types/ModifyLoadBalancerAttributesOutput";
export * from "../types/ModifyLoadBalancerAttributesExceptionsUnion";
export declare class ModifyLoadBalancerAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyLoadBalancerAttributesInput, OutputTypesUnion, ModifyLoadBalancerAttributesOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: ModifyLoadBalancerAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyLoadBalancerAttributesInput, ModifyLoadBalancerAttributesOutput, _stream.Readable>;
    constructor(input: ModifyLoadBalancerAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<ModifyLoadBalancerAttributesInput, ModifyLoadBalancerAttributesOutput>;
}
