"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeLoadBalancerPolicyTypesInput_1 = require("../shapes/DescribeLoadBalancerPolicyTypesInput");
const DescribeLoadBalancerPolicyTypesOutput_1 = require("../shapes/DescribeLoadBalancerPolicyTypesOutput");
const PolicyTypeNotFoundException_1 = require("../shapes/PolicyTypeNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeLoadBalancerPolicyTypes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeLoadBalancerPolicyTypes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeLoadBalancerPolicyTypesInput_1.DescribeLoadBalancerPolicyTypesInput
    },
    output: {
        shape: DescribeLoadBalancerPolicyTypesOutput_1.DescribeLoadBalancerPolicyTypesOutput,
        resultWrapper: "DescribeLoadBalancerPolicyTypesResult"
    },
    errors: [
        {
            shape: PolicyTypeNotFoundException_1.PolicyTypeNotFoundException
        }
    ]
};
//# sourceMappingURL=DescribeLoadBalancerPolicyTypes.js.map