"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DetachLoadBalancerFromSubnetsInput_1 = require("../shapes/DetachLoadBalancerFromSubnetsInput");
const DetachLoadBalancerFromSubnetsOutput_1 = require("../shapes/DetachLoadBalancerFromSubnetsOutput");
const AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
const InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DetachLoadBalancerFromSubnets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DetachLoadBalancerFromSubnets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DetachLoadBalancerFromSubnetsInput_1.DetachLoadBalancerFromSubnetsInput
    },
    output: {
        shape: DetachLoadBalancerFromSubnetsOutput_1.DetachLoadBalancerFromSubnetsOutput,
        resultWrapper: "DetachLoadBalancerFromSubnetsResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        }
    ]
};
//# sourceMappingURL=DetachLoadBalancerFromSubnets.js.map