"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _CrossZoneLoadBalancing_1 = require("./_CrossZoneLoadBalancing");
const _AccessLog_1 = require("./_AccessLog");
const _ConnectionDraining_1 = require("./_ConnectionDraining");
const _ConnectionSettings_1 = require("./_ConnectionSettings");
const _AdditionalAttributes_1 = require("./_AdditionalAttributes");
exports._LoadBalancerAttributes = {
    type: "structure",
    required: [],
    members: {
        CrossZoneLoadBalancing: {
            shape: _CrossZoneLoadBalancing_1._CrossZoneLoadBalancing
        },
        AccessLog: {
            shape: _AccessLog_1._AccessLog
        },
        ConnectionDraining: {
            shape: _ConnectionDraining_1._ConnectionDraining
        },
        ConnectionSettings: {
            shape: _ConnectionSettings_1._ConnectionSettings
        },
        AdditionalAttributes: {
            shape: _AdditionalAttributes_1._AdditionalAttributes
        }
    }
};
//# sourceMappingURL=_LoadBalancerAttributes.js.map