/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteLoadBalancerInput } from "../types/DeleteLoadBalancerInput";
import { DeleteLoadBalancerOutput } from "../types/DeleteLoadBalancerOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DeleteLoadBalancerInput";
export * from "../types/DeleteLoadBalancerOutput";
export * from "../types/DeleteLoadBalancerExceptionsUnion";
export declare class DeleteLoadBalancerCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteLoadBalancerInput, OutputTypesUnion, DeleteLoadBalancerOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteLoadBalancerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteLoadBalancerInput, DeleteLoadBalancerOutput, _stream.Readable>;
    constructor(input: DeleteLoadBalancerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DeleteLoadBalancerInput, DeleteLoadBalancerOutput>;
}
