/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteLoadBalancerPolicyInput } from "../types/DeleteLoadBalancerPolicyInput";
import { DeleteLoadBalancerPolicyOutput } from "../types/DeleteLoadBalancerPolicyOutput";
import { ElasticLoadBalancingResolvedConfiguration } from "../ElasticLoadBalancingConfiguration";
export * from "../types/DeleteLoadBalancerPolicyInput";
export * from "../types/DeleteLoadBalancerPolicyOutput";
export * from "../types/DeleteLoadBalancerPolicyExceptionsUnion";
export declare class DeleteLoadBalancerPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteLoadBalancerPolicyInput, OutputTypesUnion, DeleteLoadBalancerPolicyOutput, ElasticLoadBalancingResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteLoadBalancerPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteLoadBalancerPolicyInput, DeleteLoadBalancerPolicyOutput, _stream.Readable>;
    constructor(input: DeleteLoadBalancerPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticLoadBalancingResolvedConfiguration): __aws_sdk_types.Handler<DeleteLoadBalancerPolicyInput, DeleteLoadBalancerPolicyOutput>;
}
