"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const SetLoadBalancerListenerSSLCertificate_1 = require("../model/operations/SetLoadBalancerListenerSSLCertificate");
class SetLoadBalancerListenerSSLCertificateCommand {
    constructor(input) {
        this.input = input;
        this.model = SetLoadBalancerListenerSSLCertificate_1.SetLoadBalancerListenerSSLCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.SetLoadBalancerListenerSSLCertificateCommand = SetLoadBalancerListenerSSLCertificateCommand;
//# sourceMappingURL=SetLoadBalancerListenerSSLCertificateCommand.js.map