"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AttachLoadBalancerToSubnetsInput_1 = require("../shapes/AttachLoadBalancerToSubnetsInput");
const AttachLoadBalancerToSubnetsOutput_1 = require("../shapes/AttachLoadBalancerToSubnetsOutput");
const AccessPointNotFoundException_1 = require("../shapes/AccessPointNotFoundException");
const InvalidConfigurationRequestException_1 = require("../shapes/InvalidConfigurationRequestException");
const SubnetNotFoundException_1 = require("../shapes/SubnetNotFoundException");
const InvalidSubnetException_1 = require("../shapes/InvalidSubnetException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.AttachLoadBalancerToSubnets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AttachLoadBalancerToSubnets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AttachLoadBalancerToSubnetsInput_1.AttachLoadBalancerToSubnetsInput
    },
    output: {
        shape: AttachLoadBalancerToSubnetsOutput_1.AttachLoadBalancerToSubnetsOutput,
        resultWrapper: "AttachLoadBalancerToSubnetsResult"
    },
    errors: [
        {
            shape: AccessPointNotFoundException_1.AccessPointNotFoundException
        },
        {
            shape: InvalidConfigurationRequestException_1.InvalidConfigurationRequestException
        },
        {
            shape: SubnetNotFoundException_1.SubnetNotFoundException
        },
        {
            shape: InvalidSubnetException_1.InvalidSubnetException
        }
    ]
};
//# sourceMappingURL=AttachLoadBalancerToSubnets.js.map