"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _Listeners_1 = require("./_Listeners");
const _AvailabilityZones_1 = require("./_AvailabilityZones");
const _Subnets_1 = require("./_Subnets");
const _SecurityGroups_1 = require("./_SecurityGroups");
const _TagList_1 = require("./_TagList");
exports.CreateLoadBalancerInput = {
    type: "structure",
    required: ["LoadBalancerName", "Listeners"],
    members: {
        LoadBalancerName: {
            shape: {
                type: "string"
            }
        },
        Listeners: {
            shape: _Listeners_1._Listeners
        },
        AvailabilityZones: {
            shape: _AvailabilityZones_1._AvailabilityZones
        },
        Subnets: {
            shape: _Subnets_1._Subnets
        },
        SecurityGroups: {
            shape: _SecurityGroups_1._SecurityGroups
        },
        Scheme: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateLoadBalancerInput.js.map